<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.15
Name: hoeveelheid tabak
Description: Template voor de weergave van de hoeveelheid tabak bij tabak gebruik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000">
   <title>hoeveelheid tabak</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.15
Context: *[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]
Item: (hoeveelheidTabak)
-->

   <rule context="*[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]"
         id="d13e14134-false-d34585e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="count(hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']])&gt;=1">(hoeveelheidTabak): element hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="count(hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']])&lt;=1">(hoeveelheidTabak): element hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.15
Context: *[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]
Item: (hoeveelheidTabak)
-->

   <rule context="*[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]"
         id="d13e14158-false-d34603e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="string(@classCode)=('SBADM')">(hoeveelheidTabak): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="string(@moodCode)=('EVN')">(hoeveelheidTabak): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15'])&gt;=1">(hoeveelheidTabak): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15'])&lt;=1">(hoeveelheidTabak): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="count(hl7:code[(@code = '266918002' and @codeSystem = '2.16.840.1.113883.6.96')])&gt;=1">(hoeveelheidTabak): element hl7:code[(@code = '266918002' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="count(hl7:code[(@code = '266918002' and @codeSystem = '2.16.840.1.113883.6.96')])&lt;=1">(hoeveelheidTabak): element hl7:code[(@code = '266918002' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="count(hl7:value)&lt;=1">(hoeveelheidTabak): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.15
Context: *[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']
Item: (hoeveelheidTabak)
-->

   <rule context="*[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']"
         id="d13e14164-false-d34651e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hoeveelheidTabak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.15')">(hoeveelheidTabak): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.15' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.15
Context: *[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]/hl7:id
Item: (hoeveelheidTabak)
-->

   <rule context="*[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]/hl7:id"
         id="d13e14169-false-d34667e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hoeveelheidTabak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="@root and @extension">(hoeveelheidTabak): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.15
Context: *[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]/hl7:code[(@code = '266918002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (hoeveelheidTabak)
-->

   <rule context="*[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]/hl7:code[(@code = '266918002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d13e14187-false-d34679e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hoeveelheidTabak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="@nullFlavor or (@code='266918002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Tobacco smoking consumption')">(hoeveelheidTabak): de elementwaarde MOET een zijn van 'code '266918002' codeSystem '2.16.840.1.113883.6.96' displayName='Tobacco smoking consumption''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.15
Context: *[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]/hl7:value
Item: (hoeveelheidTabak)
-->

   <rule context="*[hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]]/hl7:observation[@classCode = 'SBADM'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.15']]/hl7:value"
         id="d13e14193-false-d34697e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hoeveelheidTabak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(hoeveelheidTabak): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(hoeveelheidTabak): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="@value">(hoeveelheidTabak): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="@unit">(hoeveelheidTabak): attribute @unit MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(hoeveelheidTabak): attribuut @unit MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
