<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Name: vitale functies CDA organizer
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000">
   <title>vitale functies CDA organizer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]"
         id="d13e15123-false-d39603e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]"
         id="d13e15159-false-d39764e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="string(@classCode)=('CLUSTER')">(VitaleFunctiesCDAOrganizer): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(VitaleFunctiesCDAOrganizer): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27'])&gt;=1">(VitaleFunctiesCDAOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27'])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:statusCode[@code = 'completed'])&gt;=1">(VitaleFunctiesCDAOrganizer): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:statusCode[@code = 'completed'])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:statusCode[@code = 'completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.35']]])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.35']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.28']]])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.28']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.30']]])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.30']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']"
         id="d13e15168-false-d39902e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitaleFunctiesCDAOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.27')">(VitaleFunctiesCDAOrganizer): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.27' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:statusCode[@code = 'completed']
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:statusCode[@code = 'completed']"
         id="d13e15173-false-d39918e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitaleFunctiesCDAOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="@nullFlavor or (@code='completed')">(VitaleFunctiesCDAOrganizer): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:effectiveTime
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:effectiveTime"
         id="d13e15179-false-d39936e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitaleFunctiesCDAOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="not(*)">(VitaleFunctiesCDAOrganizer): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.35']]]
Item: (VitaleFunctiesCDAOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.28']]]
Item: (VitaleFunctiesCDAOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode = 'CLUSTER'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.30']]]
Item: (VitaleFunctiesCDAOrganizer)
--></pattern>
